local function on_research_finished(event)
	local research = event.research
	local force = research.force
	local techs = force.technologies
	local wrs = techs["worker-robots-speed-6"].level
	local mp = techs["mining-productivity-16"].level
	local wrs_costs = 2^(wrs - 5) * 1000 + 50
	local mp_costs = 50 * (mp^2 - mp - 210) + 12000
	if mp_costs <= wrs_costs then
		force.current_research = "mining-productivity-16"
	else
		force.current_research = "worker-robots-speed-6"
	end
end
script.on_event(defines.events.on_research_finished, on_research_finished)

local function disable_auto_research(arguments)
	local player_index = arguments.player_index
	local player = game.players[player_index]
	local force = player.force
	force.current_research = nil
end
commands.add_command("disable-auto-research", "Disable automatic research.", disable_auto_research)