local function check_smoke(entity)
	if entity.smoke then
		if not (entity.type == "construction-robot" or entity.type == "explosion" or entity.type == "flame-thrower-explosion") then
			entity.smoke = nil
		end
	end
end

local function check_burner(entity)
	if entity.burner then
		if entity.burner.smoke then
			entity.burner.smoke = nil
		end
	end
end

local function check_energy_source(entity)
	if entity.energy_source then
		if entity.energy_source.smoke then
			entity.energy_source.smoke = nil
		end
	end
end

local function check_stop_trigger(entity)
	if entity.type == "locomotive" then
		if entity.stop_trigger then
			if entity.stop_trigger[3] then
				entity.stop_trigger = entity.stop_trigger[3]
			end
		end	
	end
end

for _, raw_type in pairs(data.raw) do
	for _, entity in pairs(raw_type) do
		check_smoke(entity)
		check_burner(entity)
		check_energy_source(entity)
		check_stop_trigger(entity)
	end
end